Package oracle.kv.pubsub

# Enum SubscriptionChangeNotAppliedException.Reason

java.lang.Object
java.lang.Enum<SubscriptionChangeNotAppliedException.Reason>
oracle.kv.pubsub.SubscriptionChangeNotAppliedException.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<SubscriptionChangeNotAppliedException.Reason>`

Enclosing class:
  SubscriptionChangeNotAppliedException

public static enum SubscriptionChangeNotAppliedException.Reason extends Enum<SubscriptionChangeNotAppliedException.Reason>
Describes the reason that a change was not applied.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHANGE_TIMEOUT`
  Change timeout
  `SUBSCRIPTION_ALL_TABLES`
  The change was requested for a subscription that is configured to stream all tables, and subscribing or unsubscribing from individual tables for a subscription configured to stream all tables is not supported.
  `SUBSCRIPTION_CANCELED`
  The subscription has been canceled.
  `TABLE_ALREADY_SUBSCRIBED`
  The change is trying to add a table which exists in subscription.
  `TABLE_NOT_SUBSCRIBED`
  The change is trying to remove a table which does not exist in subscription.
  `TOO_MANY_PENDING_CHANGES`
  The number of pending concurrent changes has reached `SubscriptionChangeNotAppliedException.MAX_NUM_PENDING_CHANGES`, and application should try again later.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SubscriptionChangeNotAppliedException.Reason`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SubscriptionChangeNotAppliedException.Reason[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOO_MANY_PENDING_CHANGES

    public static final SubscriptionChangeNotAppliedException.Reason TOO_MANY_PENDING_CHANGES
    The number of pending concurrent changes has reached `SubscriptionChangeNotAppliedException.MAX_NUM_PENDING_CHANGES`, and application should try again later.

  - ### SUBSCRIPTION_CANCELED

    public static final SubscriptionChangeNotAppliedException.Reason SUBSCRIPTION_CANCELED
    The subscription has been canceled.

  - ### SUBSCRIPTION_ALL_TABLES

    public static final SubscriptionChangeNotAppliedException.Reason SUBSCRIPTION_ALL_TABLES
    The change was requested for a subscription that is configured to stream all tables, and subscribing or unsubscribing from individual tables for a subscription configured to stream all tables is not supported.

  - ### TABLE_ALREADY_SUBSCRIBED

    public static final SubscriptionChangeNotAppliedException.Reason TABLE_ALREADY_SUBSCRIBED
    The change is trying to add a table which exists in subscription.

  - ### TABLE_NOT_SUBSCRIBED

    public static final SubscriptionChangeNotAppliedException.Reason TABLE_NOT_SUBSCRIBED
    The change is trying to remove a table which does not exist in subscription.

  - ### CHANGE_TIMEOUT

    public static final SubscriptionChangeNotAppliedException.Reason CHANGE_TIMEOUT
    Change timeout

- ## Method Details

  - ### values

    public static SubscriptionChangeNotAppliedException.Reason[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SubscriptionChangeNotAppliedException.Reason valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null